import React, { useMemo } from 'react'
import styles from './index.module.scss'
import MyTable from '@/components/MyTable'
import { B3tableC } from '@/utils/tableData'
import { Button } from 'antd'
import { openGoodsInfoFu } from '@/utils/history'
function B1appraisal() {
  const tableLastBtn = useMemo(() => {
    return [
      {
        title: '操作',
        render: (item: any) => {
          return (
            <Button
              size='small'
              type='text'
              // 待完善 鉴定页面
              onClick={() => openGoodsInfoFu(0, `/#/identify_edit/4/${item.id}`)}
            >
              查看
            </Button>
          )
        }
      }
    ]
  }, [])

  return (
    <div className={styles.B1appraisal}>
      <div className='B3Ftop'>相关鉴定</div>

      {/* 表格 */}
      <MyTable
        list={[{ id: 99 }]}
        columnsTemp={B3tableC}
        lastBtn={tableLastBtn}
        pagingInfo={false}
      />
    </div>
  )
}

const MemoB1appraisal = React.memo(B1appraisal)

export default MemoB1appraisal
